Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 8.1 API Reference

## weblogic.xml.security
Class UserInfo

    java.lang.Object
      |
      +--weblogic.xml.security.UserInfo

public class UserInfo
extends java.lang.Object

UserInfo is used to return user information from Security elements in of Secure SOAP elements. These typically include a username and some authenticating information, either a plain text password or a password digest. In the case of password digests, the UserInfo object will also allow you to verify the digest.

Author:
  Copyright © 2004 BEA Systems, Inc. All Rights Reserved.

Constructor Summary
`UserInfo(java.lang.String username)` Creates a UserInfo with the username provide.d
`UserInfo(java.lang.String username, byte[] digest, java.lang.String nonce, java.lang.String created)` Creates a UserInfo with the username, password digest, and digest components.
`UserInfo(java.lang.String username, java.lang.String password)` Creates a UserInfo with the username and password provided.

Method Summary
`java.lang.String` | `getPassword()` Returns the password string, if available.
`byte[]` | `getPasswordDigest()` returns the password digest, if availalble.
`java.lang.String` | `getUsername()`
`boolean` | `verifyPassword(java.lang.String password)` Verifies this UserInfo's password matches the provided password.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### UserInfo

    public UserInfo(java.lang.String username)

  Creates a UserInfo with the username provide.d

  Parameters:
    `username` -

### UserInfo

    public UserInfo(java.lang.String username,
                    java.lang.String password)

  Creates a UserInfo with the username and password provided.

  Parameters:
    `username` -
    `password` -

### UserInfo

    public UserInfo(java.lang.String username,
                    byte[] digest,
                    java.lang.String nonce,
                    java.lang.String created)

  Creates a UserInfo with the username, password digest, and digest components.

  Parameters:
    `username` - the username
    `digest` - the unencoded bytes of the digest.
    `nonce` - a String containing random data, included in the hash computation
    `created` - -- A XSD:DateTime time string.

Method Detail

### getUsername

    public java.lang.String getUsername()

### getPassword

    public java.lang.String getPassword()

  Returns the password string, if available.

  Returns:
    the password as a String

### getPasswordDigest

    public byte[] getPasswordDigest()

  returns the password digest, if availalble.

  Returns:

### verifyPassword

    public boolean verifyPassword(java.lang.String password)
                           throws java.security.NoSuchAlgorithmException

  Verifies this UserInfo's password matches the provided password. If only a password digest is available, it will compute the digests from the provided Password and verify the match.

  Parameters:
    `password` -
  Returns:
  Throws:
    java.security.NoSuchAlgorithmException -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs81
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD